Need fix for rsync Error due to version mismatch


Login or Register for Dates, Times and to Reply

 
Thread Tools Search this Thread
# 1  
Hammer & Screwdriver Need fix for rsync Error due to version mismatch

Code:
rsync --delay-updates -F --compress --archive --rsh='/usr/bin/ssh -t -a -x' /web/admin/Transfer/data/ user1@destserver1:/tmp/testf

Quote:
Pseudo-terminal will not be allocated because stdin is not a terminal.
protocol version mismatch -- is your shell clean?
(see the rsync man page for an explanation)
rsync error: protocol incompatibility (code 2) at compat.c(174) [sender=3.0.9]
rsync version on sender server is:3.0.9
rsync version on sender server is:3.0.6
Code:
 
 Linux sourceserver1 3.10.0-693.17.1.el7.x86_64 #1 SMP Sun Jan 14 10:36:03 EST 2018 x86_64 x86_64 x86_64 GNU/Linux
Linux destserver1   2.6.18-426.el5 #1 SMP Wed Feb 7 11:05:23 EST 2018 x86_64 x86_64 x86_64 GNU/Linux

I do not have privilege to update rsync.

Can you please suggest some tweak How can i get rsync to work without getting the versions to match. Any chances ?
# 2  
This minor version difference should not matter.

Probably a login script like .bashrc or .profile produces some output which confuses rsync. If so, eliminate this output at least for non interactive shells.
These 2 Users Gave Thanks to hergp For This Post:
Login or Register for Dates, Times and to Reply

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

9 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

Rsync Error: rsync: link_stat failed: No such file or directory (2)

I wish to copy all the files & folder under /web/Transfer_Files/data/ on mymac1 (Linux) to remote server mybank.intra.com (Solaris 10) /tmp/ location I am using Ansible tool synchronize module which triggers the unix rsync command as below:rsync --delay-updates -F --compress --archive --rsh=ssh... (2 Replies)
Discussion started by: mohtashims
2 Replies

2. Cybersecurity

Rpm for BIND 9 version 9.9.7-P2 (fix CVE-2015-5477) rhel

Hello, I have a RedHat machine (version 5.11) and i need to install BIND version version 9.9.7-P2 in order to fix a known BIND vulnerability CVE-2015-5477. I downloaded the tar file from isc website but i am having trouble to install the file. Does anybody knows a link for the rpm package of... (0 Replies)
Discussion started by: omonoiatis9
0 Replies

3. Linux

Linking issue due to so version number

Hi all, currently I'm facing a issue in linking a .so file. In my build machine, I've libcrypto.so.6 and there is a softlink as libcrypto.so. In my make file I'm trying to link to the lib using -L -lcrypto and it is success and created my test.exe. When I copy this test.exe to other... (4 Replies)
Discussion started by: vijkrr
4 Replies

4. Programming

Incompatiblity of the code due to CC compiler version mismatch.

Incompatiblity of the code due to CC compiler version mismatch. I have a machine with Machine A-- Operating System:SunOs 5.8 Generic_117350-45 sun4u sparc SUNW,Ultra-80(solaris 5.8) CC Compiler:CC: WorkShop Compilers 4.2 16 Jun 1998 C++ 4.2 patch 104631-07 we have compiled C++... (36 Replies)
Discussion started by: Revathi R
36 Replies

5. Solaris

java version mismatch for normal user and root user

:confused: I installed latest version of java ( jre 1.6) on Solaris Machine ......when I run java -version as root, shows the latest version but when I run java -version as normal user, shows the old / previous version What should I do to fix this ...should show the latest version... (3 Replies)
Discussion started by: frintocf
3 Replies

6. HP-UX

about HP-UX error exa_parm mismatch?

Hi, anyone can give me the answer about Fatal: HP-UX error exa_parm mismatch? We are running HP-UX ver. 9.0.1 also running some OCP software along with Licensed dongle. Every three to four hour (some time it will last up to 24 hour) the OCP software shutdown unexpectedly (0 Replies)
Discussion started by: monukwt
0 Replies

7. Shell Programming and Scripting

aborted due to compilation error

I wanted to edit the time for a cron job that cleans out the quarantine in mailscanner. etc/cron.daily/clean.quarantine I edited the file #!/usr/bin/perl # # IMPORTANT NOTE: # # Change the next line to 0 instead of 1 to enable this script. # By default it will be disabled and... (2 Replies)
Discussion started by: mcraul
2 Replies

8. UNIX for Advanced & Expert Users

Problem due to Fork Error

Hi, I have developed a datastage job...which has many process running in parallel..but because of Fork Error my job is not working:( Can any body help me out to solve this Fork error problem.:rolleyes: My Os is SUNOS. IS there any setting in Unix through admin where in if i set some paramter... (8 Replies)
Discussion started by: Amey Joshi
8 Replies

9. Solaris

X Keyboard Extension version mismatch

I want to use calls from the X Keyboard Extension, but get "library version mismatch" error. First one is XkbLibraryVersion(..). This one already returns false. Then I call XkbOpenDisplay(...) which does not return a valid display; return value is XkbOD_NonXkbServer. If I open the display with... (0 Replies)
Discussion started by: hiker04
0 Replies

Featured Tech Videos